<?php
define('_IN_JOHNCMS', 1);
						
$rootpath = '../../';
$headmod = 'world_war';
require("../../incfiles/core.php");
$textl = 'Войны миров!';
require("../../incfiles/head.php");
include_once("../tmn.php");

if (!$user_id) {
    header('Location: http://nadmad.ru');
    exit;
}

$action=htmlspecialchars(trim($_GET['action']));

switch ($action){

default:
$pr = 1; 
$plus=mysql_query("SELECT * FROM `wwzadan_bots` WHERE `zid` = '$pr'");

if(!mysql_num_rows($plus)){echo 'Такого бота не существует!';break;};
$rise=mysql_fetch_assoc($plus);

echo '<div clas="menu">Бой с ботом</div><br/>';
      echo 'Жизни у противника: '.$rise['hp'].'<br/>';
      echo 'Защита у противника: '.$rise['brona'].'<br/>';
      echo 'Макс.Урон у противника: '.$rise['maxu'].'<br/>';
      echo 'Мин.Урон у противника: '.$rise['minu'].'<br/>';
      
if($user['hp'] > 10) {       
      echo '<a href="?action=udar&amp;id='.$pr.'">[Ударить]</a><br/>';
      } else {
            echo 'У Противника или у вас слишком мало жизни для начала боя!';
            } 
       echo '--------<br/>';
       if($rise['hp'] < 10) {
      echo '<a href="?action=end&amp;id='.$pr.'"><small>Завершить бой!</small></a><br/>';
    };

break;

case 'udar':

$pr=(int)$_GET['id'];
$plus=mysql_query("SELECT * FROM `wwzadan_bots` WHERE `zid`='$pr'");

if(!mysql_num_rows($plus)){echo 'Такого бота не существует! ';}else{
$rise=mysql_fetch_assoc($plus);

$bablo = mysql_query("SELECT * FROM uww WHERE uid='$user_id'");
$myrow = mysql_fetch_array($bablo);

if($myrow['hp'] < 10){
echo 'У вас слишком мало жизни!<br/>';
echo '<a href="?action=end&amp;id='.$rise['zid'].'">Завершить бой!</a><br/>';break;}

if($rise['hp'] < 10){
echo 'У противника слишком мало жизни!<br/>';
echo '<a href="?action=end&amp;id='.$rise['zid'].'">Завершить бой!</a><br/>';}
else{
    $uron1 = rand($myrow['minu'],$myrow['maxu']);
     $uron2 = rand($rise['minu'],$rise['maxu']);
     $udar = $uron1-$rise['brona'];
    $udar1 = $uron2-$myrow['brona'];
    
    if($udar < 0 ){
        $udar = 0;
    }
    if($udar1 < 0 ){
        $udar1 = 0;
    }
    
mysql_query("UPDATE `uww` SET `hp`=`hp`-'".$udar1."' WHERE `uid`='".$user_id."'");
mysql_query("UPDATE `wwzadan_bots` SET `hp`=`hp`-'".$udar."' WHERE `zid`='".$rise['zid']."'");
if($user['clas']==1){
if($udar > 15){
    $text = 'Хорошо розогнавшись, вы с бешеной силой вдаряете противника нанося ему '.$udar.' Урона! <br/>';
}

if($udar > 5){
    $text = 'Вы собрали в себе всю злость и удрили противника на '.$udar.' Урона! <br/>';
}

if($udar < 5){
    $text = 'Вы пытались хорошенько влупить противника но недостаток практики боя и опыта не дали нанести сокрушительный удар, и вы нанесли протикнику '.$udar.' Урона! <br/>';
}

if($udar == 0){
    $text = 'Вы ударили противника в его толстую броню, и вам не удлось повредить противника, если так и дальше пойдет то вы проиграете <br/>';
}

if($udar == 1){
    $text = 'Вы ударили противника в его толстую броню, и пробили ее всего на 1 ед. урона...<br/>';
}


}

if($user['clas']==2){
if($udar > 15){
    $text = 'Хорошо прицелившись, вы с бешеной силой выстрела попадаете противнику прямо в голову нанося ему '.$udar.' Урона! <br/>';
}

if($udar > 5){
    $text = 'Вы собрали в себе всю злость и выстрелили в противника попав в грудь пробив броню на '.$udar.' Урона! <br/>';
}

if($udar < 5){
    $text = 'Вы пытались хорошенько прицелиться в противника но недостаток практики боя и опыта не дали нанести сокрушительный удар, и вы нанесли протикнику '.$udar.' Урона! Попав в ногу <br/>';
}

if($udar == 0){
    $text = 'Вы попали противнику в его толстую броню, и вам не удалось повредить противника, если так и дальше пойдет то вы проиграете <br/>';
}

if($udar == 1){
    $text = 'Вы попали в броню противника, и пробили ее всего на 1 ед. урона...<br/>';
}


}

if($user['clas']==3){
if($udar > 15){
    $text = 'Хорошо наколдовавши вы выпускаете огненной шар в противника нанося '.$udar.'ед. Урона! <br/>';
}

if($udar > 5){
    $text = 'Вы наколдовали несколько простых заклинаний и выпустили их в противника попав в грудь пробив броню на '.$udar.' Урона! <br/>';
}

if($udar < 5){
    $text = 'Вы пытались наколдовать ваше любимое заклинание но недостаток практики боя и опыта не дали нанести сокрушительный удар, и вы нанесли протикнику '.$udar.' Урона! Попав в ногу <br/>';
}

if($udar == 0){
    $text = 'Вы попали противнику в его толстую броню, и вам не удалось повредить противника, если так и дальше пойдет то вы проиграете <br/>';
}

if($udar == 1){
    $text = 'Вы попали в броню противника, и пробили ее всего на 1 ед. урона...<br/>';
}


}



echo ''.$text. ' <br /> А противник нанес вам '.$udar1.' Урона!<br />
Жизни у противника: '.$rise['hp'].'hp <br />

<a href="?action=udar&amp;id='.$pr.'">[Ударить]</a><br />
<a href="?action=napad&amp;id='.$pr.'">Назад к противнику!</a>';
}}
break;


case 'end':
$pr=(int)$_GET['id'];
$plus=mysql_query("SELECT * FROM `wwzadan_bots` WHERE `zid`='$pr'");
$uzver = mysql_fetch_array($plus);
if(!$plus){
    echo 'Такого бота не существует!'; 
    
    }if($uzver['hp']>10){
        
    echo 'нужно добить врага! Вернитесь в бой!';
    
} else {
        
    if($uzver['hp'] <= $user['hp']){
    $win = 1;
    }else{
        $win = 2;
    }
    
    mysql_query("UPDATE `wwzadan_bots` SET `hp` = '30' WHERE `zid` = '$pr' LIMIT 1");
    
    if($win == 1){
        echo 'Вы успешно завершили бой!<br />За подсчетами системы в этом бою вы <font color="green"><b>победили</b></font> <a href="index.php?action=afterdraka">Идем дальше!</a>';
    }else{
    
        echo 'Вы успешно завершили бой!<br />За подсчетами системы в этом бою вы <font color="red"><b>проиграли</b></font><br /> | <a href="end.php">Назад в задание</a>';

    }
    }


break;




};
include_once("../foot.php");
echo '<div class="menu"><a href="index.php">В игру</a></div>';
require_once ("../../incfiles/end.php");
?>									